<template>
  <div class="settings">
    <v-row justify="center">
      <v-btn class="ma-2" dark @click="dialog = true">
        <v-icon>mdi-tune-vertical</v-icon>
      </v-btn>
      <v-dialog v-model="dialog" fullscreen hide-overlay transition="dialog-bottom-transition" scrollable>
        <v-card tile>
          <v-toolbar flat dark color="accent">
            <v-btn icon dark @click="dialog = false">
              <v-icon>mdi-close</v-icon>
            </v-btn>
            <v-toolbar-title>Kogo szukam?</v-toolbar-title>
            <v-spacer></v-spacer>
            <v-toolbar-items>
              <v-btn dark text @click="save">
                Zapisz
              </v-btn>
            </v-toolbar-items>
          </v-toolbar>
          <v-list three-line subheader>
            <v-subheader>Kryteria</v-subheader>
            <v-list-item>
              <v-list-item-content>
                <v-range-slider style="margin: 27px" v-model="ageRange" hint="Osoby w jakim wieku Cię interesują?"
                  max="120" min="18" :thumb-size="24" thumb-label="always" persistent-hint></v-range-slider>
              </v-list-item-content>
            </v-list-item>
            <v-list-item> 
              <v-list-item-content>
                <v-list-item-title>Jaką dopuszczasz odległość?</v-list-item-title>
                <v-list-item-subtitle>(mierzoną od centrum Twojej miejscowości)</v-list-item-subtitle>
                <v-slider style="margin: 27px" v-model="distance" hint="Podaj odległość w km" max="1000" min="0"
                  :thumb-size="24" thumb-label="always" persistent-hint></v-slider>
              </v-list-item-content>
            </v-list-item>
          </v-list>
          <v-divider></v-divider>
          <div style="flex: 1 1 auto;"></div>
        </v-card>
      </v-dialog>
    </v-row>
  </div>
</template>
<script>
export default {

  data() {
    return {
      ageRange: !this.$store.state.user.ageRange?[0,120]:[this.$store.state.user.ageRange[0], this.$store.state.user.ageRange[1]],
      distance: !this.$store.state.user.distance? 100: this.$store.state.user.distance,
      dialog: false
     }
  },
  methods: {
    save() {
      this.$store.commit('changeAgeRange', this.ageRange);
      this.$store.commit('changeDistance', this.distance);
      this.$axios.put(this.$config.serverUrl+'/user/settings',{
        uuid: this.$store.state.user.uuid,
        distance: this.distance,
        ageRange: this.ageRange
      }).then(({data})=>{
        this.$emit('save');
      }).catch(err=>{
        console.error(err);
      });
      this.dialog = false;
    },

  }
}
</script>
<style>
.settings {
  position: relative;
  z-index: 9001;
  top: 19px;
}
</style>